$Revision: 1.3 $
$Date: 2005/08/24 22:26:18 $

# Parameters

## `db_url` (string)

SQL URL of database.

Default value is "mysql://root@127.0.0.1/sip_jab".

### Set `db_url` parameter

    ...
    modparam("jabber", "db_url", "mysql://username:password@host/sip_jab")
    ...

## `jaddress` (string)

IP or hostname of Jabber server - it must be the same as the value from <host> tag of Jabber server config file.

Default value is "127.0.0.1".

### Set `jaddress` parameter

    ...
    modparam("jabber", "jaddress", "1.2.3.4")
    ...

## `jport` (integer)

Port number of Jabber server.

Default value is 5222.

### Set `jport` parameter

    ...
    modparam("jabber", "jport", 1234)
    ...

## `jdomain` (string)

Format: jabber.sipserver.com=<delim>. If the destination is for Jabber network the URI should be like: username<delim>jabber_server@jdomain or nickname<delim>roomname<delim>conference_server@jdomain

<delim> must be a un-reserved character. By default this character is * . The destination will be transformed to username@jabber_server or roomname@conference_server/nickname before the message is sent to Jabber server.

Default value is none.

### Set `jdomain` parameter

    ...
    modparam("jabber", "jdomain", "jabber.sipserver.com=*")
    ...

## `aliases` (string)

Aliases for IM networks.

Format: "N;alias1=<delim1>;...;aliasN=<delimN>;" Destinations like '*@aliasX' could have other format than those specified for Jabber network. All <delim> from user part of the destination address will be changed to <delimX> if the destination address contains <aliasX>.

(Ex: jdomain is 'jabber.x.com=*' and msn_alias is 'msn.x.com=%'. The destination address forM MSN Network, on SIP side, is like 'username*hotmail.com@msn.x.com'. The destination address will be transformed to 'username%hotmail.com@msn.x.com'. 'msn.x.com' must be the same as the JID associated with MSN transport in Jabber configuration file (usually is 'jabberd.xml'))

Default value is none.

### Set `jdomain` parameter

    ...
    modparam("jabber", "aliases", "1;msn.x.com=%")
    ...

## `proxy` (string)

Outbound proxy address.

Format: ip_address:port hostname:port

All SIP messages generated by gateway will be sent to that address. If is missing, the message will be delivered to the hostname of the destination address

Default value is none.

### Set `proxy` parameter

    ...
    modparam("jabber", "proxy", "10.0.0.1:5060 sipserver.com:5060")
    ...

## `registrar` (string)

The address in whose behalf the INFO and ERROR messages are sent.

Default value is "jabber_gateway@127.0.0.1".

### Set `registrar` parameter

    ...
    modparam("jabber", "registrar", "jabber_gateway@127.0.0.1")
    ...

## `workers` (integer)

Number of workers.

Default value is 2.

### Set `workers` parameter

    ...
    modparam("jabber", "workers", 2)
    ...

## `max_jobs` (integer)

Maximum jobs per worker.

Default value is 10.

### Set `max_jobs` parameter

    ...
    modparam("jabber", "max_jobs", 10)
    ...

## `cache_time` (integer)

Cache time of a Jabber connection.

Default value is 600.

### Set `cache_time` parameter

    ...
    modparam("jabber", "cache_time", 600)
    ...

## `delay_time` (integer)

Time to keep a SIP message (in seconds).

Default value is 90 seconds.

### Set `delay_time` parameter

    ...
    modparam("jabber", "delay_time", 90)
    ...

## `sleep_time` (integer)

Time between expired Jabber connections checking (in seconds).

Default value is 20 seconds.

### Set `sleep_time` parameter

    ...
    modparam("jabber", "sleep_time", 20)
    ...

## `check_time` (integer)

Time between checking the status of JabberGW workers (in seconds).

Default value is 20 seconds.

### Set `check_time` parameter

    ...
    modparam("jabber", "check_time", 20)
    ...